GNU bug report logs - #52667
System reconfiguration fails to build linux-modules.drv

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Vivien Kraus <vivien@HIDDEN>; merged with #52719; dated Sun, 19 Dec 2021 20:37:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 52667 52719. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52667 <at> debbugs.gnu.org:


Received: (at 52667) by debbugs.gnu.org; 21 Dec 2021 23:07:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 21 18:07:05 2021
Received: from localhost ([127.0.0.1]:56105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mzoDp-000098-6i
	for submit <at> debbugs.gnu.org; Tue, 21 Dec 2021 18:07:05 -0500
Received: from tobias.gr ([80.241.217.52]:57826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mzoDi-00008N-K3
 for 52667 <at> debbugs.gnu.org; Tue, 21 Dec 2021 18:07:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=XkBXw8GN2fZJV
 Ob5+x8w6mw8m0IFZdfulmceAliOteU=;
 h=in-reply-to:date:subject:cc:from:
 references; d=tobias.gr; b=FzDY47hbQr4zYx3/2p3prVLn42/DIx09NcVe/Y5zA4c
 WRYcTu3WllImTh4qQ0CEBsP2XJZBv8M0Fuun8NZMrCrRzCfRSGP4fokIOA+dxOU7ok6R8+
 XZX+JCF/EBj64wPojr6qIyMRqE6AEpGPQGkv9Bi4vLDm5HalcOzS4mRV3tfuzgvFNueDGh
 Qf/0xM+nahdiN+FYscrcbCbrb8snlKPEC6FVvU68YM4MlkyQNFKUt/XqYwT29x5ZyxjNEr
 le36zu/b68VAYc9hlG3zB9VaJ3htn4I7ckmRF+mV33AZYpJgytsWl1Z0ugBDq+Z/j1W7n2
 xSN7EFjPAqFQZn1sj2Q==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id dc68a645
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Tue, 21 Dec 2021 23:06:55 +0000 (UTC)
References: <871r28uyc7.fsf@HIDDEN> <87tuf1efn8.fsf@nckx>
From: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#52667: System reconfiguration fails to build linux-modules.drv
Date: Wed, 22 Dec 2021 00:00:32 +0100
In-reply-to: <87tuf1efn8.fsf@nckx>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87pmppeev5.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice via Bug reports for GNU Guix 写道:
    > I see two reasonable solutions. By the way, I think a better solution longer-term
    is to merge these tightly-coupled kernel attributes into a single object:
    
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.2 MISSING_HEADERS        Missing To: header
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [80.241.217.52 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 52667
Cc: bug-guix@HIDDEN, 52667 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice via Bug reports for GNU Guix =E5=86=99=E9=81=93=EF=BC=
=9A
> I see two reasonable solutions.

By the way, I think a better solution longer-term is to merge=20
these tightly-coupled kernel attributes into a single object:

  (kernel (linux-libre-configuration
           (package linux-libre-lts =E2=80=A6)
           (modules-needed-for-boot =E2=80=A6)
           =E2=80=A6))

Naming aside, something like that.

A variant like linux-libre-lts-kernel could then be a coherent &=20
self-contained whole.  This has bugged me for a long time,=20
actually=E2=80=A6

Thoughts?

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYcJePg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15PTQBAMlEphUCev8/+WlTD+A4/fIvWf7difg/MOKmqAB1
UwyfAP9cc5AQ9SkxtMNbLeYCeJRpXhlXfKlKwd8LuK/+KuGfBg==
=ddOj
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#52667; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Dec 2021 23:07:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 21 18:07:19 2021
Received: from localhost ([127.0.0.1]:56108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mzoE3-00009a-I8
	for submit <at> debbugs.gnu.org; Tue, 21 Dec 2021 18:07:19 -0500
Received: from lists.gnu.org ([209.51.188.17]:34380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mzoDz-00009P-1U
 for submit <at> debbugs.gnu.org; Tue, 21 Dec 2021 18:07:18 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44704)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1mzoDy-0008U3-Sg
 for bug-guix@HIDDEN; Tue, 21 Dec 2021 18:07:14 -0500
Received: from [2a02:c205:2020:6054::1] (port=35816 helo=tobias.gr)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1mzoDl-0005wj-CN
 for bug-guix@HIDDEN; Tue, 21 Dec 2021 18:07:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=XkBXw8GN2fZJV
 Ob5+x8w6mw8m0IFZdfulmceAliOteU=;
 h=in-reply-to:date:subject:cc:from:
 references; d=tobias.gr; b=FzDY47hbQr4zYx3/2p3prVLn42/DIx09NcVe/Y5zA4c
 WRYcTu3WllImTh4qQ0CEBsP2XJZBv8M0Fuun8NZMrCrRzCfRSGP4fokIOA+dxOU7ok6R8+
 XZX+JCF/EBj64wPojr6qIyMRqE6AEpGPQGkv9Bi4vLDm5HalcOzS4mRV3tfuzgvFNueDGh
 Qf/0xM+nahdiN+FYscrcbCbrb8snlKPEC6FVvU68YM4MlkyQNFKUt/XqYwT29x5ZyxjNEr
 le36zu/b68VAYc9hlG3zB9VaJ3htn4I7ckmRF+mV33AZYpJgytsWl1Z0ugBDq+Z/j1W7n2
 xSN7EFjPAqFQZn1sj2Q==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id dc68a645
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Tue, 21 Dec 2021 23:06:55 +0000 (UTC)
References: <871r28uyc7.fsf@HIDDEN> <87tuf1efn8.fsf@nckx>
From: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#52667: System reconfiguration fails to build linux-modules.drv
Date: Wed, 22 Dec 2021 00:00:32 +0100
In-reply-to: <87tuf1efn8.fsf@nckx>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87pmppeev5.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a02:c205:2020:6054::1
 (failed)
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -2
X-Spam_score: -0.3
X-Spam_bar: /
X-Spam_report: (-0.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, MISSING_HEADERS=1.021,
 RDNS_NONE=0.793, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 52667 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice via Bug reports for GNU Guix =E5=86=99=E9=81=93=EF=BC=
=9A
> I see two reasonable solutions.

By the way, I think a better solution longer-term is to merge=20
these tightly-coupled kernel attributes into a single object:

  (kernel (linux-libre-configuration
           (package linux-libre-lts =E2=80=A6)
           (modules-needed-for-boot =E2=80=A6)
           =E2=80=A6))

Naming aside, something like that.

A variant like linux-libre-lts-kernel could then be a coherent &=20
self-contained whole.  This has bugged me for a long time,=20
actually=E2=80=A6

Thoughts?

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYcJePg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15PTQBAMlEphUCev8/+WlTD+A4/fIvWf7difg/MOKmqAB1
UwyfAP9cc5AQ9SkxtMNbLeYCeJRpXhlXfKlKwd8LuK/+KuGfBg==
=ddOj
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#52667; Package guix. Full text available.

Message received at 52667 <at> debbugs.gnu.org:


Received: (at 52667) by debbugs.gnu.org; 21 Dec 2021 22:50:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 21 17:50:10 2021
Received: from localhost ([127.0.0.1]:56090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mznxR-0008BC-SK
	for submit <at> debbugs.gnu.org; Tue, 21 Dec 2021 17:50:10 -0500
Received: from tobias.gr ([80.241.217.52]:57824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mznxP-0008B0-Os
 for 52667 <at> debbugs.gnu.org; Tue, 21 Dec 2021 17:50:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=yQKPJOG/Uo/pX
 hi1bYYUHhSo8+YoesKcYViYWfnb7Ss=; h=date:subject:to:from;
 d=tobias.gr; 
 b=LI0dEWn9QkzBMHZxKbnGCVDgH6wgtXUnEQOSX4Dr0VypACL0mIccE1MEr+jXb6mg8DbX
 z+IKl7WJWyJbHAjYcoQ4Nj9SNcPUcBIk4+E7KxB3LgaiXHqSrI74OWIj2VrJuUN/VpyVPR
 PhU91o6du7yV3x1QFUlj7xHbbsppz+3ufAt9F3bIGCwZt12xr1K9dW55xcBjoH9TVOSf8+
 s57kOAQUnhJn3V5ubevWmj1ZzN2tnecUNE+OHtIkyoAcrIRwe8MM4m3nsicfAblPdMt2Yc
 utqepA83pKrg4KNe/eRt4a+Q0WmbaJgVArsi/spy4RNh4b8inggRElFvezIzeydg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 27053f0a
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO) for <52667 <at> debbugs.gnu.org>;
 Tue, 21 Dec 2021 22:50:04 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 52667 <at> debbugs.gnu.org
Subject: Re: System reconfiguration fails to build linux-modules.drv
Date: Tue, 21 Dec 2021 23:38:44 +0100
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87tuf1efn8.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52667
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Vivien,

Thanks for the report!  Sorry it took me a while to get back to=20
you.

As discussed in #guix, an immediate work-around is:

  (initrd-modules
    ;; This cannot be built as a module for linux-libre-lts.
    ((@ (srfi srfi-1) delete) "simplefb" %base-initrd-modules))

I'm not sure what to do going forward.  I see two reasonable=20
solutions.  Perhaps there are more, and I welcome suggestions.

One is to provide a separate %base-initrd-modules-lts list that's=20
equivalent to the snippet above.  It's=E2=80=A6 not great, but then=20
linux-libre-lts itself isn't documented and people still seem to=20
find it.  If someone were to document it, they could also add a=20
note about modules.

A more straightforward route is to simply build in simplefb even=20
for kernels 5.15 and beyond.  Apart from an (unmeasured) size=20
increase of the base image, the main drawback here is that we lose=20
our long-standing CONFIG_DRM_SIMPLEDRM=3Dm due to a conflict:

=2D CONFIG_DRM_GEM_SHMEM_HELPER=3Dy
=2D CONFIG_DRM_SIMPLEDRM=3Dm
+ # CONFIG_DRM_SIMPLEDRM unset tristate: Simple framebuffer driver
=2D CONFIG_FB_SIMPLE=3Dm
+ CONFIG_FB_SIMPLE=3Dy tristate: Simple framebuffer support

When preparing <https://issues.guix.gnu.org/51619> I considered=20
this a regression and hence bad, but maybe nobody cares=E2=80=A6?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYcJaSw0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15PBABAN9s31O1VVHFIBLhO3nc1ccrq/qjUW8dVUC+pWGL
vtjqAQDafVjv0uQsFH813IZidEZmIkdbLF9Eei2Q74SJEZAFAA==
=4Gzy
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#52667; Package guix. Full text available.
Merged 52667 52719. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2021 20:36:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 19 15:36:09 2021
Received: from localhost ([127.0.0.1]:48301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mz2uf-0005yy-MV
	for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 15:36:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:50744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1mz2ue-0005yq-Ho
 for submit <at> debbugs.gnu.org; Sun, 19 Dec 2021 15:36:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37836)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <vivien@HIDDEN>)
 id 1mz2ue-0001GB-Bc
 for bug-guix@HIDDEN; Sun, 19 Dec 2021 15:36:08 -0500
Received: from [2a00:5881:4008:2810::309] (port=49478 helo=planete-kraus.eu)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <vivien@HIDDEN>)
 id 1mz2ua-0004Qz-Q6
 for bug-guix@HIDDEN; Sun, 19 Dec 2021 15:36:08 -0500
Received: from planete-kraus.eu (localhost.lan [127.0.0.1])
 by planete-kraus.eu (OpenSMTPD) with ESMTP id cf3edba7
 for <bug-guix@HIDDEN>; Sun, 19 Dec 2021 20:35:57 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=planete-kraus.eu; h=from
 :to:subject:date:message-id:mime-version:content-type; s=dkim;
 bh=00qDg8dJZcdtu//Lg/Q3jNeCKck=; b=Ar2N0cl71Z33lmvGiP6p+1okxnxe
 w8YRb3pyDRiIog6FkfWstM4jcvr1KD5wP7iMc5e+ZDCkuzv73v1I06Udoxj1QOuZ
 /NUmMwXHAdvGs6Avi5Hmu9KXPENONfSPwjqo2T1kzx/XChy1tLvX3vtU4uJugwty
 zXg+a5v1W0PjXz4=
Received: by planete-kraus.eu (OpenSMTPD) with ESMTPSA id 2a7b8bdf
 (TLSv1.3:AEAD-CHACHA20-POLY1305-SHA256:256:NO); 
 Sun, 19 Dec 2021 20:35:53 +0000 (UTC)
From: Vivien Kraus <vivien@HIDDEN>
To: bug-guix@HIDDEN
Subject: System reconfiguration fails to build linux-modules.drv
Date: Sun, 19 Dec 2021 21:35:52 +0100
Message-ID: <871r28uyc7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:5881:4008:2810::309
 (failed)
Received-SPF: pass client-ip=2a00:5881:4008:2810::309;
 envelope-from=vivien@HIDDEN; helo=planete-kraus.eu
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RDNS_NONE=0.793,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Dear guix,

On master, I can=E2=80=99t reconfigure my system, because the linux-modules=
.drv
fails with the following error:

Backtrace:
          17 (primitive-load "/gnu/store/bvjcb7jbwlky0czin8p66949mil?")
In ice-9/eval.scm:
    619:8 16 (_ #f)
   626:19 15 (_ #<directory (guile-user) 7ffff5fdbc80>)
   293:34 14 (_ #(#<directory (guile-user) 7ffff5fdbc80> #<procedu?>))
In srfi/srfi-1.scm:
   586:29 13 (map1 _)
   586:29 12 (map1 _)
   586:29 11 (map1 _)
   586:29 10 (map1 _)
   586:29  9 (map1 _)
   586:29  8 (map1 _)
   586:29  7 (map1 _)
   586:29  6 (map1 _)
   586:29  5 (map1 _)
   586:29  4 (map1 _)
   586:29  3 (map1 _)
   586:29  2 (map1 _)
   586:17  1 (map1 ("simplefb" "pata_acpi" "pata_atiixp" "isci" "?" ?))
In gnu/build/linux-modules.scm:
    257:5  0 (_)

gnu/build/linux-modules.scm:257:5: kernel module not found "simplefb" "/gnu=
/store/1ai7mxw5ad58ic9slxsjzsxaryi5wksp-linux-libre-5.10.87/lib/modules"


The top of the backtrace is this file,
/gnu/store/bvjcb7jbwlky0czin8p66949milhvrql-linux-modules-builder:

(begin (use-modules (gnu build linux-modules) (guix build utils) (srfi
srfi-1) (srfi srfi-26)) (define module-dir (string-append
"/gnu/store/1ai7mxw5ad58ic9slxsjzsxaryi5wksp-linux-libre-5.10.87"
"/lib/modules")) (define modules (let* ((lookup (cut find-module-file
module-dir <>)) (modules (map lookup (quote ("ahci" "usb-storage" "uas"
"usbhid" "hid-generic" "hid-apple" "dm-crypt" "xts" "serpent_generic"
"wp512" "nls_iso8859-1" "framebuffer_coreboot" "simplefb" "pata_acpi"
"pata_atiixp" "isci" "virtio_pci" "virtio_balloon" "virtio_blk"
"virtio_net" "virtio_console" "virtio-rng"))))) (append modules
(recursive-module-dependencies modules #:lookup-module lookup))))
(define (maybe-uncompress file) (cond ((string-contains file ".ko.gz")
(invoke
"/gnu/store/9q9z91mvc1r3h8zmi135msv3j1dgv2js-gzip-1.10/bin/gunzip"
file)))) (mkdir ((@ (guile) getenv) "out")) (for-each (lambda (module)
(let ((out-module (string-append ((@ (guile) getenv) "out") "/"
(basename module)))) (format #t "copying '~a'...~%" module) (copy-file
module out-module) (maybe-uncompress out-module))) (delete-duplicates
modules)) (write-module-name-database ((@ (guile) getenv) "out")))

This is the linux-related part of my system configuration:

(operating-system
  (kernel linux-libre-lts)
  (kernel-arguments
   `(,@%default-kernel-arguments
     "modprobe.blacklist=3Damdgpu,radeon"))
  =E2=80=A6)

Best regards,

Vivien

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQGzBAEBCAAdFiEEq4yIHjMvkliPpwQnO7C8EjLYuCwFAmG/l6kACgkQO7C8EjLY
uCw0zgwAkiMu4gysFcrrelt2a5I0cKfE2rjHi3LQbNNTnDks44FhlcrAoOHnmCZD
377LGQDalumTOQJXUb1EpHIIjl0JxgYQMnikNT0zXxnKfOQXNFk/3wfHDv0GFUrP
pEHuOnULc11tuYQK55vi9FTH7SNn6cZ1rtWfRpzV5Pfa5jEeXd4lvmjQGJU6BFsN
6ZxtLkKX0pb1V8gNwsicaQ8DhB758fwkm6MPak3NjjBttWzPKwhs8Q0lQJ+Mn6rL
cmvQAd9jluuE65XrPPYADZJLTuSuMCg18ppZQtT1hD4KlneB6jwQ9SVhk33aHDso
LBH6A1QWjW+tdCxn9tz4e+t5+9yVxjGShRZDQ0AxGymzk/34aiH+0b23PTE286If
uFrJcpHlX9flw/UfhntLyihfzCbynlPyrYd+Rg6r2XG+jKtINlapjbvXFlqldpxh
8Y7xg4CYb2j9kiKOy7sGhL9lspb63npy9tpI56c6XdcKcF/PPi9Be+VyhwvvHgu0
5UHLa0+l
=pQ0X
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Vivien Kraus <vivien@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#52667; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 21 Dec 2021 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.